 const modal = document.getElementById("logoutPopup");

      function openLogoutModal() {
        modal.classList.remove("hidden");
        document.body.style.overflow = "hidden"; 
      }

      function closeLogoutModal() {
        modal.classList.add("hidden");
        document.body.style.overflow = "auto";
      }

      function processLogout() {
        window.location.href = "sign-in.html";
      }

      window.onclick = function (event) {
        if (event.target == modal) {
          closeLogoutModal();
        }
      };